FileSystemCommandResourceResolver (Grails 3.3.3)
Date: 2018-03-07

Package: org.grails.cli.profile.commands.factory

## [Groovy] Class FileSystemCommandResourceResolver

- org.grails.cli.profile.commands.factory.FileSystemCommandResourceResolver

- All Implemented Interfaces and Traits:
    CommandResourceResolver

      @groovy.transform.CompileStatic
      class FileSystemCommandResourceResolver
      extends java.lang.Object

  A CommandResourceResolver that resolves from the file system

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Collection<java.lang.String>` | `matchingFileExtensions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FileSystemCommandResourceResolver (java.util.Collection<java.lang.String> matchingFileExtensions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Collection<Resource>` | `findCommandResources(Profile profile)`
    `` | `protected Resource` | `getCommandsDirectory(Profile profile)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final java.util.Collection<java.lang.String> matchingFileExtensions

  - ### Constructor Detail

    - #### FileSystemCommandResourceResolver(java.util.Collection<java.lang.String> matchingFileExtensions)

  - ### Method Detail

    - #### @java.lang.Override java.util.Collection<Resource> findCommandResources(Profile profile)

    - #### protected Resource getCommandsDirectory(Profile profile)